<?php

namespace App\Entities\LojaCompra;

use App\Utils\Entity;

class LojaCompra extends Entity {
	protected $id;
	protected $id_loja;
	protected $valor;
	protected $tipo_compra_loja;
	protected $id_usuario;
	protected $data_requisicao;
	protected $hora_requisicao;
	protected $id_status;
	protected $data_alteracao;
	protected $hora_alteracao;

	public static function builder(): LojaCompraBuilder {

		$loja_builder = new LojaCompraBuilder();
		return $loja_builder;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId() {

		return $this->id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdLoja() {

		return $this->id_loja;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getTipoCompraLoja() {

		return $this->tipo_compra_loja;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdUsuario() {

		return $this->id_usuario;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataRequisicao() {

		return $this->data_requisicao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraRequisicao() {

		return $this->hora_requisicao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdStatus() {

		return $this->id_status;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataAlteracao() {

		return $this->data_alteracao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraAlteracao() {

		return $this->hora_alteracao;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;

	}

	/**
	 *
	 * @param mixed $id_loja
	 */
	public function setIdLoja($id_loja) {

		$this->id_loja = $id_loja;

	}

	/**
	 *
	 * @param mixed $id_loja_produto
	 */
	public function setValor($valor) {

		$this->valor = $valor;

	}

	/**
	 *
	 * @param mixed $tipo_compra_loja
	 */
	public function setTipoCompraLoja($tipo_compra_loja) {

		$this->tipo_compra_loja = $tipo_compra_loja;

	}

	/**
	 *
	 * @param mixed $id_usuario
	 */
	public function setIdUsuario($id_usuario) {

		$this->id_usuario = $id_usuario;

	}

	/**
	 *
	 * @param mixed $data_requisicao
	 */
	public function setDataRequisicao($data_requisicao) {

		$this->data_requisicao = $data_requisicao;

	}

	/**
	 *
	 * @param mixed $hora_requisicao
	 */
	public function setHoraRequisicao($hora_requisicao) {

		$this->hora_requisicao = $hora_requisicao;

	}

	/**
	 *
	 * @param mixed $id_status
	 */
	public function setIdStatus($id_status) {

		$this->id_status = $id_status;

	}

	/**
	 *
	 * @param mixed $data_alteracao
	 */
	public function setDatAlteracao($data_alteracao) {

		$this->data_alteracao = $data_alteracao;

	}

	/**
	 *
	 * @param mixed $hora_alteracao
	 */
	public function setHoraAlteracao($hora_alteracao) {

		$this->hora_alteracao = $hora_alteracao;

	}

}